UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

AR# 31795

10.1sp3 Xplorer - When Xplorer is run from the Project Navigator GUI, it gives ERROR:invalid command name "getVersion"

Description

When Xplorer is run from the Project Navigator GUI, it errors out with the following message

ERROR invalid command name "getVersion"

This is a known issue when Xplorer is run from 10.1 sp3 Project Navigator

Solution

To work around the issue, edit the xplorer-lib.tcl script in the ISE install directory:

Linux:

$XILINX/bin/scripts/xplorer-lib.tcl

Windows:

%XILINX%\bin\scripts\xplorer-lib.tcl

1. Comment out line number 1704 set VERSION [getVersion $VERSION] by putting a # at the start of the line.

2. Add line set VERSION "10.1.03+ (DEFAULT)"

Save the script and re-run Xplorer from the GUI.

Run Xplorer from the command line. To get more information on how to run Xplorer from the command line, please refer to the Development Systems Reference guide at:

http://toolbox.xilinx.com/docsan/xilinx10/books/manuals.pdf

AR# 31795
Date Created 10/15/2008
Last Updated 12/15/2012
Status Active
Type General Article